Module jdk.javadoc
Package com.sun.javadoc

## Interface AnnotationTypeElementDoc

- All Superinterfaces:
    `Comparable<Object>`, `Doc`, `ExecutableMemberDoc`, `MemberDoc`, `MethodDoc`, `ProgramElementDoc`

  Deprecated.
  The declarations in this package have been superseded by those in the package `jdk.javadoc.doclet`. For more information, see the Migration Guide in the documentation for that package.

      @Deprecated
      public interface AnnotationTypeElementDoc
      extends MethodDoc

  Represents an element of an annotation type.
  Since:
    1.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AnnotationValue` | `defaultValue​()` | Deprecated. Returns the default value of this element.

    - ### Methods inherited from interface com.sun.javadoc.Doc

      `commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, position, seeTags, setRawCommentText, tags, tags`

    - ### Methods inherited from interface com.sun.javadoc.ExecutableMemberDoc

      `flatSignature, isNative, isSynchronized, isVarArgs, parameters, paramTags, receiverType, signature, thrownExceptions, thrownExceptionTypes, throwsTags, typeParameters, typeParamTags`

    - ### Methods inherited from interface com.sun.javadoc.MemberDoc

      `isSynthetic`

    - ### Methods inherited from interface com.sun.javadoc.MethodDoc

      `isAbstract, isDefault, overriddenClass, overriddenMethod, overriddenType, overrides, returnType`

    - ### Methods inherited from interface com.sun.javadoc.ProgramElementDoc

      `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

- - ### Method Detail

    - #### defaultValue

          AnnotationValue defaultValue​()

      Deprecated.
      Returns the default value of this element. Returns null if this element has no default.
      Returns:
        the default value of this element.